|  | Home | Documentation | saml1__AssertionType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Classes | Public Attributes | List of all members
saml1__AssertionType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":AssertionType is a complexType. More...

`#include <saml1.h>`

Collaboration diagram for saml1__AssertionType:
[legend]

## Classes
struct | __saml1__union_AssertionType

## Public Attributes
struct saml1__ConditionsType * | saml1__Conditions
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Conditions. More...
struct saml1__AdviceType * | saml1__Advice
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Advice. More...
$int | __size_AssertionType
struct saml1__AssertionType::__saml1__union_AssertionType * | __union_AssertionType
_ds__Signature * | ds__Signature
| Imported element reference "http://www.w3.org/2000/09/xmldsig#":Signature. More...
char * | MajorVersion
| Attribute "MajorVersion" of XSD type xs:integer. More...
char * | MinorVersion
| Attribute "MinorVersion" of XSD type xs:integer. More...
char * | AssertionID
| Attribute "AssertionID" of XSD type xs:ID. More...
char * | Issuer
| Attribute "Issuer" of XSD type xs:string. More...
time_t | IssueInstant
| Attribute "IssueInstant" of XSD type xs:dateTime. More...
char * | wsu__Id
| Member declared in WS/WS-typemap.dat. More...

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":AssertionType is a complexType.

struct saml1__AssertionType operations:

- saml1__AssertionType* soap_new_saml1__AssertionType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml1__AssertionType(struct soap*, saml1__AssertionType*) default initialize members
- int soap_read_saml1__AssertionType(struct soap*, saml1__AssertionType*) deserialize from a source
- int soap_write_saml1__AssertionType(struct soap*, saml1__AssertionType*) serialize to a sink
- saml1__AssertionType* soap_dup_saml1__AssertionType(struct soap*, saml1__AssertionType* dst, saml1__AssertionType <em>src) returns deep copy of saml1__AssertionType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml1__AssertionType(saml1__AssertionType) deep deletes saml1__AssertionType data members, use only on dst after soap_dup_saml1__AssertionType(NULL, saml1__AssertionType *dst, saml1__AssertionType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int saml1__AssertionType::__size_AssertionType

struct saml1__AssertionType::__saml1__union_AssertionType * saml1__AssertionType::__union_AssertionType

char* saml1__AssertionType::AssertionID

Attribute "AssertionID" of XSD type xs:ID.

Required attribute.

_ds__Signature* saml1__AssertionType::ds__Signature

Imported element reference "http://www.w3.org/2000/09/xmldsig#":Signature.

Optional element.

time_t saml1__AssertionType::IssueInstant

Attribute "IssueInstant" of XSD type xs:dateTime.

Required attribute.

char* saml1__AssertionType::Issuer

Attribute "Issuer" of XSD type xs:string.

Required attribute.

char* saml1__AssertionType::MajorVersion

Attribute "MajorVersion" of XSD type xs:integer.

Required attribute.

char* saml1__AssertionType::MinorVersion

Attribute "MinorVersion" of XSD type xs:integer.

Required attribute.

struct saml1__AdviceType* saml1__AssertionType::saml1__Advice

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Advice.

Optional element.

struct saml1__ConditionsType* saml1__AssertionType::saml1__Conditions

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Conditions.

Optional element.

char* saml1__AssertionType::wsu__Id

Member declared in WS/WS-typemap.dat.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml1.h